org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

## Interface IDifferenceGroupProvider2

All Superinterfaces:
  Adapter, IDifferenceGroupProvider

All Known Implementing Classes:
  AbstractDifferenceGroupProvider, ByResourceGroupProvider, DefaultGroupProvider, EmptyDifferenceGroupProvider, KindGroupProvider, ThreeWayComparisonGroupProvider

    public interface IDifferenceGroupProvider2
    extends IDifferenceGroupProvider

Extended interface of `IDifferenceGroupProvider` that gives information on the building status of its groups.

Since:
  4.1

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider

`IDifferenceGroupProvider.ComparisonType, IDifferenceGroupProvider.Descriptor`

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `groupsAreBuilt()` Tells if the groups of this provider have been already built for a comparison.

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider

`dispose, getGroups, getTreeNodes, isEnabled`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Method Detail

#### groupsAreBuilt

    boolean groupsAreBuilt()

Tells if the groups of this provider have been already built for a comparison.

Returns:
  `true` if the groups has been built for this comparison or `false` otherwise.